fields:
  footerOptions:
    label: Footer
    type: headline

  footerLogo:
    label: Footer Logo
    type: files
    multiple: false
    layout: cards
    templates:
      - image
    width: 1/1
    size: medium

  footerBg:
    label: Footer Background Image
    type: files
    multiple: false
    layout: list
    templates:
      - image
    width: 1/2
  footerText:
    label: Text Overlay
    type: text
    width: 1/2

  showFooterLinks:
    label: Show Footer Logos
    type: toggle
    text:
      - "No"
      - "Yes"

  footerLinks:
    label: Footer Logos
    type: structure
    fields:
      title:
        label: title
        type: text
        width: 1/2
      footerLogo:
        label: Logo
        type: files
        multiple: false
        layout: list
        templates:
          - image
        width: 1/2
      url:
        label: URL
        type: url
        width: 1/1

  socialOptions:
    label: Social Media
    type: headline
  social:
    label: Add Channels
    type: structure
    empty: No social media channels added yet
    fields:
      platform:
        label: Platform
        type: text
        width: 1/2
      url:
        label: URL
        type: url
        width: 1/2
